StackMapFrameInfo.SimpleVerificationTypeInfo (Java SE 23 & JDK 23)
Description: declaration: module: java.base, package: java.lang.classfile.attribute, interface: StackMapFrameInfo, enum: SimpleVerificationTypeInfo
Keywords: java.lang.classfile.attribute.StackMapFrameInfo.SimpleVerificationTypeInfo class

# Enum Class StackMapFrameInfo.SimpleVerificationTypeInfo

java.lang.Object
java.lang.Enum<StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW>
java.lang.classfile.attribute.StackMapFrameInfo.SimpleVerificationTypeInfo

All Implemented Interfaces:
  `Serializable`, `StackMapFrameInfo.VerificationTypeInfoPREVIEW`, `Comparable<StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW>`, `Constable`

Enclosing interface:
  `StackMapFrameInfoPREVIEW`

public static enum StackMapFrameInfo.SimpleVerificationTypeInfo extends Enum<StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW> implements StackMapFrameInfo.VerificationTypeInfoPREVIEW
`SimpleVerificationTypeInfo` is a preview API of the Java platform.
Programs can only use `SimpleVerificationTypeInfo` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A simple stack value.

Since:
  22

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ITEM_DOUBLE`
  verification type double
  `ITEM_FLOAT`
  verification type float
  `ITEM_INTEGER`
  verification type int
  `ITEM_LONG`
  verification type long
  `ITEM_NULL`
  verification type null
  `ITEM_TOP`
  verification type top
  `ITEM_UNINITIALIZED_THIS`
  verification type uninitializedThis

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `tag()`
  Returns the tag of the type info.
  `static StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ITEM_TOP

    public static final StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW ITEM_TOP
    verification type top

  - ### ITEM_INTEGER

    public static final StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW ITEM_INTEGER
    verification type int

  - ### ITEM_FLOAT

    public static final StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW ITEM_FLOAT
    verification type float

  - ### ITEM_DOUBLE

    public static final StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW ITEM_DOUBLE
    verification type double

  - ### ITEM_LONG

    public static final StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW ITEM_LONG
    verification type long

  - ### ITEM_NULL

    public static final StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW ITEM_NULL
    verification type null

  - ### ITEM_UNINITIALIZED_THIS

    public static final StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW ITEM_UNINITIALIZED_THIS
    verification type uninitializedThis

- ## Method Details

  - ### values

    public static StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StackMapFrameInfo.SimpleVerificationTypeInfoPREVIEW valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### tag

    public int tag()
    Description copied from interface: `StackMapFrameInfo.VerificationTypeInfo`
    Returns the tag of the type info.
    Specified by:
      `tag` in interface `StackMapFrameInfo.VerificationTypeInfoPREVIEW`
    Returns:
      the tag of the type info